( cd usr/lib ; rm -rf libgnomedb_extra-4.0.so )
( cd usr/lib ; ln -sf libgnomedb_extra-4.0.so.4.0.0 libgnomedb_extra-4.0.so )
( cd usr/lib ; rm -rf libgnomedb_extra-4.0.so.4 )
( cd usr/lib ; ln -sf libgnomedb_extra-4.0.so.4.0.0 libgnomedb_extra-4.0.so.4 )
( cd usr/lib ; rm -rf libgnomedb_graph-4.0.so.4 )
( cd usr/lib ; ln -sf libgnomedb_graph-4.0.so.4.0.0 libgnomedb_graph-4.0.so.4 )
( cd usr/lib ; rm -rf libgnomedb-4.0.so )
( cd usr/lib ; ln -sf libgnomedb-4.0.so.4.0.0 libgnomedb-4.0.so )
( cd usr/lib ; rm -rf libgnomedb-4.0.so.4 )
( cd usr/lib ; ln -sf libgnomedb-4.0.so.4.0.0 libgnomedb-4.0.so.4 )
( cd usr/lib ; rm -rf libgnomedb_graph-4.0.so )
( cd usr/lib ; ln -sf libgnomedb_graph-4.0.so.4.0.0 libgnomedb_graph-4.0.so )

if [ -x usr/bin/gconftool-2 ]; then
GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults"     usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/libgnomedb-4.0.schemas >/dev/null 2>&1
fi
# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi
